#ifndef DEF_PLAYER
#define DEF_PLAYER

#include <math.h>

#define MAP_EXTERIOR_LIMIT 1000
#define COL_NO 0
#define COL_GROUND 1
#define COL_WALL 2
#define COL_ON 3
#define COL_CARA 4
#define COL_BOUND 5



class Player
{
public:
	Player();
	void teleport(float _x, float _y, float _z, float _yaw, float _pitch);

	float x, y, z, yaw, pitch;

	bool moving, jumping, turning;

	float height;
	float total_height;
	float belly;

	float action_distance;

	float translation_speed;
	float rotation_speed;
	float jump_speed;

	float translation_speed_max;
	float translation_acceleration;
	float rotation_speed_max;
	float jump_speed_max;

	bool dissociate_camera;
	bool can_move;
};


#endif
