#include "main.hpp"


Game game;
Windmill windmill;
Scene_Map scene_map;

int main(void)
{

	extern bopti_image_t img_windmill;

	dclear(C_WHITE);
	dimage(16, 0, &img_windmill);
    
    int key = 0;

    while(key != KEY_EXE)
    {
        dupdate();

        key = getkey().key;
    }
    
    dclear(C_BLACK);
	dupdate();
    
    scene_map.launch();

    while(1)
    {
        /* (LEPHE) */
        clearevents();
        if (keydown(KEY_EXIT))
            break;
        if (keydown(KEY_MENU))
            gint_osmenu();

        scene_map.draw();
        scene_map.update();
    }
    scene_map.terminate();

	getkey();
	return 1;
}

void debug_pop(char const *fmt, ...)
{
    dclear(C_WHITE);

    va_list args;
    va_start(args, fmt);
    char str[256];
    vsnprintf(str, 256, fmt, args);
    va_end(args);

    dtext(1, 1, C_BLACK, str);
    dupdate();
    getkey();
}
